Apache Tomcat 6.0.51

## org.apache.jasper
Class Constants

    java.lang.Object
      org.apache.jasper.Constants

    public class Constants

extends java.lang.Object

Some constants and other global data that are used by the compiler and the runtime.

Author:
  Anil K. Vijendran, Harish Prabandham, Shawn Bayern, Mark Roth

Field Summary
`static java.lang.String` | `ALT_DD_ATTR`
`static java.lang.String[]` | `CACHED_DTD_PUBLIC_IDS` List of the Public IDs that we cache, and their associated location.
`static java.lang.String[]` | `CACHED_DTD_RESOURCE_PATHS`
`static int` | `DEFAULT_BUFFER_SIZE` Default size of the JSP buffer.
`static int` | `DEFAULT_TAG_BUFFER_SIZE` Default size for the tag buffers.
`static char` | `ESC` Deprecated.
`static java.lang.String` | `ESCStr` Deprecated.
`static java.lang.String` | `IE_PLUGIN_URL`
`static java.lang.String` | `INC_SERVLET_PATH` Servlet context and request attributes that the JSP engine uses.
`static boolean` | `IS_SECURITY_ENABLED` Has security been turned on?
`static java.lang.String` | `JSP_FILE` Request attribute for `<jsp-file>` element of a servlet definition.
`static java.lang.String` | `JSP_PACKAGE_NAME` The default package name for compiled jsp pages.
`static java.lang.String` | `JSP_SERVLET_BASE` The base class of the generated servlets.
`static int` | `MAX_POOL_SIZE` Default tag handler pool size.
`static java.lang.String` | `NS_PLUGIN_URL` Default URLs to download the pluging for Netscape and IE.
`static java.lang.String` | `PRECOMPILE` The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.
`static java.lang.String` | `SERVICE_METHOD_NAME` _jspService is the name of the method that is called by HttpJspBase.service().
`static java.lang.String` | `SERVLET_CLASSPATH` ServletContext attribute for classpath.
`static java.lang.String` | `SERVLET_CONTENT_TYPE` Default servlet content type.
`static java.lang.String` | `SESSION_PARAMETER_NAME` The name of the path parameter used to pass the session identifier back and forth with the client.
`static java.lang.String[]` | `STANDARD_IMPORTS` These classes/packages are automatically imported by the generated code.
`static java.lang.String` | `TAG_FILE_PACKAGE_NAME` The default package name for tag handlers generated from tag files
`static java.lang.String` | `TAGLIB_DTD_PUBLIC_ID_11` Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors.
`static java.lang.String` | `TAGLIB_DTD_PUBLIC_ID_12`
`static java.lang.String` | `TAGLIB_DTD_RESOURCE_PATH_11`
`static java.lang.String` | `TAGLIB_DTD_RESOURCE_PATH_12`
`static java.lang.String` | `TEMP_VARIABLE_NAME_PREFIX` Prefix to use for generated temporary variable names
`static java.lang.String` | `TMP_DIR`
`static java.lang.String` | `WEBAPP_DTD_PUBLIC_ID_22` Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors
`static java.lang.String` | `WEBAPP_DTD_PUBLIC_ID_23`
`static java.lang.String` | `WEBAPP_DTD_RESOURCE_PATH_22`
`static java.lang.String` | `WEBAPP_DTD_RESOURCE_PATH_23`
`static java.lang.String` | `XML_BLOCK_EXTERNAL_INIT_PARAM` Name of the ServletContext init-param that determines if the XML parsers will block the resolution of external entities.
`static java.lang.String` | `XML_VALIDATION_INIT_PARAM` Name of the ServletContext init-param that determines if the XML parsers used for web.xml files will be validating or not.
`static java.lang.String` | `XML_VALIDATION_TLD_INIT_PARAM` Name of the ServletContext init-param that determines if the XML parsers used for *.tld files will be validating or not.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JSP_SERVLET_BASE

    public static final java.lang.String JSP_SERVLET_BASE

  The base class of the generated servlets.

### SERVICE_METHOD_NAME

    public static final java.lang.String SERVICE_METHOD_NAME

  _jspService is the name of the method that is called by HttpJspBase.service(). This is where most of the code generated from JSPs go.

### SERVLET_CONTENT_TYPE

    public static final java.lang.String SERVLET_CONTENT_TYPE

  Default servlet content type.

  See Also:
    Constant Field Values

### STANDARD_IMPORTS

    public static final java.lang.String[] STANDARD_IMPORTS

  These classes/packages are automatically imported by the generated code.

### SERVLET_CLASSPATH

    public static final java.lang.String SERVLET_CLASSPATH

  ServletContext attribute for classpath. This is tomcat specific. Other servlet engines may choose to support this attribute if they want to have this JSP engine running on them.

### JSP_FILE

    public static final java.lang.String JSP_FILE

  Request attribute for `<jsp-file>` element of a servlet definition. If present on a request, this overrides the value returned by `request.getServletPath()` to select the JSP page to be executed.

### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

  Default size of the JSP buffer.

  See Also:
    Constant Field Values

### DEFAULT_TAG_BUFFER_SIZE

    public static final int DEFAULT_TAG_BUFFER_SIZE

  Default size for the tag buffers.

  See Also:
    Constant Field Values

### MAX_POOL_SIZE

    public static final int MAX_POOL_SIZE

  Default tag handler pool size.

  See Also:
    Constant Field Values

### PRECOMPILE

    public static final java.lang.String PRECOMPILE

  The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.

### JSP_PACKAGE_NAME

    public static final java.lang.String JSP_PACKAGE_NAME

  The default package name for compiled jsp pages.

### TAG_FILE_PACKAGE_NAME

    public static final java.lang.String TAG_FILE_PACKAGE_NAME

  The default package name for tag handlers generated from tag files

### INC_SERVLET_PATH

    public static final java.lang.String INC_SERVLET_PATH

  Servlet context and request attributes that the JSP engine uses.

  See Also:
    Constant Field Values

### TMP_DIR

    public static final java.lang.String TMP_DIR

See Also:
  Constant Field Values

### ALT_DD_ATTR

    public static final java.lang.String ALT_DD_ATTR

### TAGLIB_DTD_PUBLIC_ID_11

    public static final java.lang.String TAGLIB_DTD_PUBLIC_ID_11

  Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors.

  See Also:
    Constant Field Values

### TAGLIB_DTD_RESOURCE_PATH_11

    public static final java.lang.String TAGLIB_DTD_RESOURCE_PATH_11

See Also:
  Constant Field Values

### TAGLIB_DTD_PUBLIC_ID_12

    public static final java.lang.String TAGLIB_DTD_PUBLIC_ID_12

See Also:
  Constant Field Values

### TAGLIB_DTD_RESOURCE_PATH_12

    public static final java.lang.String TAGLIB_DTD_RESOURCE_PATH_12

See Also:
  Constant Field Values

### WEBAPP_DTD_PUBLIC_ID_22

    public static final java.lang.String WEBAPP_DTD_PUBLIC_ID_22

  Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors

  See Also:
    Constant Field Values

### WEBAPP_DTD_RESOURCE_PATH_22

    public static final java.lang.String WEBAPP_DTD_RESOURCE_PATH_22

See Also:
  Constant Field Values

### WEBAPP_DTD_PUBLIC_ID_23

    public static final java.lang.String WEBAPP_DTD_PUBLIC_ID_23

See Also:
  Constant Field Values

### WEBAPP_DTD_RESOURCE_PATH_23

    public static final java.lang.String WEBAPP_DTD_RESOURCE_PATH_23

See Also:
  Constant Field Values

### CACHED_DTD_PUBLIC_IDS

    public static final java.lang.String[] CACHED_DTD_PUBLIC_IDS

  List of the Public IDs that we cache, and their associated location. This is used by an EntityResolver to return the location of the cached copy of a DTD.

### CACHED_DTD_RESOURCE_PATHS

    public static final java.lang.String[] CACHED_DTD_RESOURCE_PATHS

### NS_PLUGIN_URL

    public static final java.lang.String NS_PLUGIN_URL

  Default URLs to download the pluging for Netscape and IE.

  See Also:
    Constant Field Values

### IE_PLUGIN_URL

    public static final java.lang.String IE_PLUGIN_URL

See Also:
  Constant Field Values

### TEMP_VARIABLE_NAME_PREFIX

    public static final java.lang.String TEMP_VARIABLE_NAME_PREFIX

  Prefix to use for generated temporary variable names

### ESC

    public static final char ESC

  Deprecated.
  A replacement char for "\$". XXX This is a hack to avoid changing EL interpreter to recognize "\$"

  See Also:
    Constant Field Values

### ESCStr

    public static final java.lang.String ESCStr

  Deprecated.
  See Also:
    Constant Field Values

### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED

  Has security been turned on?

### SESSION_PARAMETER_NAME

    public static final java.lang.String SESSION_PARAMETER_NAME

  The name of the path parameter used to pass the session identifier back and forth with the client.

### XML_VALIDATION_TLD_INIT_PARAM

    public static final java.lang.String XML_VALIDATION_TLD_INIT_PARAM

  Name of the ServletContext init-param that determines if the XML parsers used for *.tld files will be validating or not.

  This must be kept in sync with org.apache.catalina.Globals

  See Also:
    Constant Field Values

### XML_VALIDATION_INIT_PARAM

    public static final java.lang.String XML_VALIDATION_INIT_PARAM

  Name of the ServletContext init-param that determines if the XML parsers used for web.xml files will be validating or not.

  This must be kept in sync with org.apache.catalina.Globals

  See Also:
    Constant Field Values

### XML_BLOCK_EXTERNAL_INIT_PARAM

    public static final java.lang.String XML_BLOCK_EXTERNAL_INIT_PARAM

  Name of the ServletContext init-param that determines if the XML parsers will block the resolution of external entities.

  This must be kept in sync with org.apache.catalina.Globals

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.